%global major_version %%(echo %%{version} | awk -F. '{print $1}')

Summary:        Utility for previewing fonts for GNOME
Name:           gnome-font-viewer
Version:        43.0
Release:        4%{?dist}
License:        GPLv2+
URL:            https://gitlab.gnome.org/GNOME/gnome-font-viewer
Source0:        https://download.gnome.org/sources/gnome-font-viewer/%{major_version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc gettext meson pkgconfig(fontconfig) pkgconfig(freetype2) pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(glib-2.0) pkgconfig(gnome-desktop-4) pkgconfig(gtk4) pkgconfig(libadwaita-1)
BuildRequires:  /usr/bin/appstream-util /usr/bin/desktop-file-validate

%description
Use gnome-font-viewer, the Font Viewer, to preview fonts and display information about a specified font.
You can use the Font Viewer to display the name, style, type, size, version and copyright of the font.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.font-viewer.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.font-viewer.appdata.xml

%files -f %{name}.lang
%license COPYING
%doc NEWS
%{_bindir}/%{name}
%{_bindir}/gnome-thumbnail-font
%{_datadir}/applications/org.gnome.font-viewer.desktop
%{_datadir}/dbus-1/services/org.gnome.font-viewer.service
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.font-viewer.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.font-viewer-symbolic.svg
%{_datadir}/metainfo/org.gnome.font-viewer.appdata.xml
%{_datadir}/thumbnailers/%{name}.thumbnailer

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Shuo Wang <abushwang@tencent.com> - 43.0-1
- initial build
